package main

import (
	"bytes"
	"encoding/json"
	"fmt"
	"log"
	"os"
	"strings"
)

func main() {
	b, err := os.ReadFile("WoWChatLog.txt")
	if err != nil {
		log.Fatal(err)
	}

	// Strip carriage returns because Windows is retarded
	b = bytes.ReplaceAll(b, []byte("\r"), []byte(""))

	lines := strings.Split(string(b), "\n")

	games, err := parseGames(lines)
	if err != nil {
		log.Fatal(err)
	}

	for _, game := range games {
		j, err := json.Marshal(game)
		if err != nil {
			log.Fatal(err)
		}
		fmt.Println(string(j))
	}
}
